/// --------------------------------------------------------------------------
/// File     : DDEDTEXT.DCL
/// Copyright: cad nauseam, 1995.  Shareware: see DDEDTEXT.TXT for details.
/// Author   : Steve Johnson
/// Purpose  : Dialogue box definition for DDEDTEXT command when editing
///            dimension and mtext entities.
/// Version  : 1.01
/// Date     : 27 February 1995
/// --------------------------------------------------------------------------


// ---------------------------------------------------------------------------
// Turn off error checking
// ---------------------------------------------------------------------------

dcl_settings : default_dcl_settings { audit_level = 0; }


// ---------------------------------------------------------------------------
// Widget: full_button
// ---------------------------------------------------------------------------

full_button : retirement_button {
  label                 = "Full editor...";
  key                   = "full";
}


// ---------------------------------------------------------------------------
// Widget: full_ok_cancel
// ---------------------------------------------------------------------------

full_ok_cancel : column {
  : row {
    fixed_width         = true;
    alignment           = centered;
// ---------------------------------------------------------------------------
// Release 12 users may wish to remove the "Full editor..." button.
// To do this, place double slashes // at the start of the next two lines.
    full_button;
    : spacer { width    = 2; }
// ---------------------------------------------------------------------------
    ok_button;
    : spacer { width    = 2; }
    cancel_button;
  }
}


// ---------------------------------------------------------------------------
// Widget: ddedtext
// ---------------------------------------------------------------------------

ddedtext : dialog {
  key                   = "title";
  initial_focus         = "text";
  : edit_box {
    label               = "Text:";
    key                 = "text";
    edit_width          = 40;
    edit_limit          = 255;
    allow_accept        = true;
  }
  spacer;
  full_ok_cancel;
}


/// --------------------------------------------------------------------------
/// End DDEDTEXT.DCL
/// --------------------------------------------------------------------------